import { __awaiter, __generator, __decorate, __values, __spread } from 'tslib';
import { ɵɵdefineInjectable, Injectable, EventEmitter, Input, Output, Component, NgModule } from '@angular/core';
import { animation, style, animate, trigger, transition } from '@angular/animations';
import { CommonModule } from '@angular/common';

var ACUANT_ALERT;
(function (ACUANT_ALERT) {
    ACUANT_ALERT["BIRTHDATE_VALID"] = "Birth Date Valid";
    ACUANT_ALERT["DOCUMENT_CLASSIFICATION"] = "Document Classification";
    ACUANT_ALERT["DOCUMENT_EXPIRED"] = "Document Expired";
    ACUANT_ALERT["EXPIRATION_DATE_VALID"] = "Expiration Date Valid";
    ACUANT_ALERT["IMAGE_TAMPERING_CHECK"] = "Image Tampering Check";
    ACUANT_ALERT["ISSUE_DATE_VALID"] = "Issue Date Valid";
    ACUANT_ALERT["PHYSICAL_DOCUMENT_PRESENCE"] = "Physical Document Presence";
    ACUANT_ALERT["BARCODE_READ"] = "2DBarcodeRead";
    ACUANT_ALERT["VISIBLE_PATTERN"] = "Visible Pattern";
    ACUANT_ALERT["VISIBLE_PATTERN_1"] = "Visible Pattern 1";
    ACUANT_ALERT["VISIBLE_PATTERN_2"] = "Visible Pattern 2";
    ACUANT_ALERT["VISIBLE_PATTERN_3"] = "Visible Pattern 3";
    ACUANT_ALERT["VISIBLE_PATTERN_4"] = "Visible Pattern 4";
    ACUANT_ALERT["VISIBLE_PATTERN_5"] = "Visible Pattern 5";
    ACUANT_ALERT["VISIBLE_PATTERN_6"] = "Visible Pattern 6";
})(ACUANT_ALERT || (ACUANT_ALERT = {}));

var ACUANT_FIELD;
(function (ACUANT_FIELD) {
    ACUANT_FIELD["ADDRESS"] = "Address";
    ACUANT_FIELD["ADDRESS_CITY"] = "Address City";
    ACUANT_FIELD["ADDRESS_LINE_1"] = "Address Line 1";
    ACUANT_FIELD["ADDRESS_LINE_2"] = "Address Line 2";
    ACUANT_FIELD["ADDRESS_POSTAL_CODE"] = "Address Postal Code";
    ACUANT_FIELD["BACK_NUMBER"] = "Back Number";
    ACUANT_FIELD["BACK_SECCION"] = "Back Seccion";
    ACUANT_FIELD["BIRTH_DATE"] = "Birth Date";
    ACUANT_FIELD["CURP"] = "CURP";
    ACUANT_FIELD["DOCUMENT_CLASS_NAME"] = "Document Class Name";
    ACUANT_FIELD["DOCUMENT_NUMBER"] = "Document Number";
    ACUANT_FIELD["EXPIRATION_DATE"] = "Expiration Date";
    ACUANT_FIELD["EXTRACTED_BIRTH_DATE_STRING"] = "Extracted Birth Date String";
    ACUANT_FIELD["FATHERS_SURNAME"] = "Father's Surname";
    ACUANT_FIELD["FINGERPRINT"] = "Fingerprint";
    ACUANT_FIELD["FIRST_NAME"] = "First Name";
    ACUANT_FIELD["FRONT_SECCION"] = "Front Seccion";
    ACUANT_FIELD["FULL_NAME"] = "Full Name";
    ACUANT_FIELD["GIVEN_NAME"] = "Given Name";
    ACUANT_FIELD["ISSUE_DATE"] = "Issue Date";
    ACUANT_FIELD["ISSUING_STATE_CODE"] = "Issuing State Code";
    ACUANT_FIELD["ISSUING_STATE_NAME"] = "Issuing State Name";
    ACUANT_FIELD["MIDDLE_NAME"] = "Middle Name";
    ACUANT_FIELD["MOTHERS_SURNAME"] = "Mother's Surname";
    ACUANT_FIELD["PERSONAL_NUMBER"] = "Personal Number";
    ACUANT_FIELD["PHOTO"] = "Photo";
    ACUANT_FIELD["REGISTRATION_DATE"] = "Registration Date";
    ACUANT_FIELD["REGISTRATION_YEAR"] = "Registration Year";
    ACUANT_FIELD["REGISTRATION_YEAR_AND_VERIFICATION_NUMBER"] = "Registration Year and Verification Number";
    ACUANT_FIELD["SEX"] = "Sex";
    ACUANT_FIELD["SIGNATURE"] = "Signature";
    ACUANT_FIELD["SURNAME"] = "Surname";
    ACUANT_FIELD["VERIFICATION_NUMBER"] = "Verification Number";
})(ACUANT_FIELD || (ACUANT_FIELD = {}));

// transitions
var FADE_IN_OUT_TRANSITION = animation([
    style({ opacity: '{{ start }}' }),
    animate('{{ time }}', style({ opacity: '{{ end }}' }))
], { params: { time: '1000ms', start: 0, end: 1 } });
var LEFT_TO_RIGHT_TRANSITION = animation([
    style({ transform: 'translateX(-100%)', opacity: '0' }),
    animate('{{ time }}', style({ transform: 'translateX(0)', opacity: '1' }))
], { params: { time: '400ms' } });
var UP_TO_DOWN_TRANSITION = animation([
    style({ height: '0', opacity: '0' }),
    animate('{{ time }}', style({ height: '*', opacity: '1' }))
], { params: { time: '1500ms' } });
var LEFT_TO_RIGHT_APPEAR_TRANSITION = animation([
    style({ width: '0%', opacity: '1' }),
    animate('{{ time }}', style({ width: '100%', opacity: '1' }))
], { params: { time: '15000ms' } });
// animations
var FADE_IN_OUT_ANIMATION = trigger('fadeInOut', [
    transition(':enter', [FADE_IN_OUT_TRANSITION])
]);
var LEFT_TO_RIGHT_ANIMATION = trigger('leftToRight', [
    transition(':enter', [LEFT_TO_RIGHT_TRANSITION])
]);
var UP_TO_DOWN_ANIMATION = trigger('upToDown', [
    transition(':enter', [UP_TO_DOWN_TRANSITION])
]);
var LEFT_TO_RIGHT_APPEAR_ANIMATION = trigger('leftToRightAppear', [
    transition(':enter', [LEFT_TO_RIGHT_APPEAR_TRANSITION])
]);

var CONFIGURATION_DEFAULT = {
    customization: {
        fadCustomization: {
            colors: {
                primary: '#A70635',
                secondary: '#A70635',
                tertiary: '#363636',
            },
            buttons: {
                primary: {
                    backgroundColor: '#A70635',
                    backgroundColorDisabled: '#dcdcdc',
                    labelColor: '#ffffff',
                    labelColorDisabled: '#8e8e8e',
                    border: '1px solid #A70635',
                },
                secondary: {
                    backgroundColor: '#363636ad',
                    backgroundColorDisabled: '#dcdcdc',
                    labelColor: '#ffffff',
                    labelColorDisabled: '#8e8e8e',
                    border: '1px solid #ffffff',
                },
                common: {
                    height: '50px',
                    width: '95%',
                    borderRadius: '10px',
                    padding: '1px 5px',
                    margin: '0px',
                    outline: 'none',
                },
            },
            fonts: {
                title: {
                    fontSize: '25px',
                    fontFamily: 'system-ui',
                },
                subtitle: {
                    fontSize: '17px',
                    fontFamily: 'system-ui',
                },
                content: {
                    fontSize: '15px',
                    fontFamily: 'system-ui',
                },
                informative: {
                    fontSize: '12px',
                    fontFamily: 'system-ui',
                },
                button: {
                    fontSize: '17px',
                    fontFamily: 'system-ui',
                },
            },
        },
        moduleCustomization: {
            legends: {
                initializing: 'iniciando',
                processing: 'procesando',
                scan: {
                    none: 'ENFOCA TU ID SOBRE LA GUÍA',
                    smallDocument: 'ACERCATE MÁS',
                    goodDocument: null,
                    capturing: 'CAPTURANDO',
                    tapToCapture: 'TOCA LA PANTALLA PARA CAPTURAR'
                },
                manualCapture: {
                    instruction: 'Captura el frente de tu identificación',
                    buttonNext: 'Continuar'
                }
            },
        },
    },
    instance: {
        AuthentsicationSensitivity: 0,
        ClassificationMode: 0,
        Device: {
            HasContactlessChipReader: false,
            HasMagneticStripeReader: false,
            SerialNumber: 'JavaScriptWebSDK 11.5.1',
            Type: {
                Manufacturer: 'xxx',
                Model: 'xxx',
                SensorType: 3,
            },
        },
        ImageCroppingExpectedSize: 0,
        ImageCroppingMode: 0,
        ManualDocumentType: null,
        ProcessMode: 0,
        SubscriptionId: '',
    },
    pathDependencies: {
        acuantDirectory: './assets/third-party/acuant/',
        imageDirectory: './assets/images/fad-acuant/'
    },
};

var ENDPOINTS = {
    DOCUMENT: '/AssureIDService/Document/',
    NEW_INSTANCE: 'Instance',
    UPLOAD_IMAGE_SIDE: '/Image?side=',
    UPLOAD_IMAGE_METRICS: '&light=0&metrics=true',
};

var getErrorDescription = function (code) {
    switch (code) {
        case -1:
            return 'Las credenciales son requeridas';
        case -2:
            return 'Error al inicializar acuant, una de las posibles causas son las credenciales incorrectas';
        case -3:
            return 'Cámara no soportada';
        case -4:
            return 'Error al inicializar la UI de acuant';
        case -5:
            return 'Error al crear una instancia del documento para otener el OCR, una de las posibles causas son las credenciales incorrectas';
        case -6:
            return 'Error al subir la imagen para obtener el OCR';
        case -7:
            return 'Error al obtener el OCR';
        case -8:
            return 'Error al obtener la imagen del rostro de la identificación';
        case -9:
            return 'No se encontró la url para obtener la imagen del rostro de la identificación';
        case -10:
            return 'No se encontró la imagen del rostro en la idetificación';
        case -11:
            return 'Error al obtener los recursos necesarios para inicializar el SDK';
        case -12:
            return 'Error inesperado en acuant, el detalle se muestra en la consola';
        default:
            return 'unknown error';
    }
};

var ErrorCode;
(function (ErrorCode) {
    ErrorCode[ErrorCode["REQUIRED_CREDENTIALS"] = -1] = "REQUIRED_CREDENTIALS";
    ErrorCode[ErrorCode["FAIL_INITIALIZATION"] = -2] = "FAIL_INITIALIZATION";
    ErrorCode[ErrorCode["UNSUPPORTED_CAMERA"] = -3] = "UNSUPPORTED_CAMERA";
    ErrorCode[ErrorCode["FAIL_INITIALIZATION_CAMERA_UI"] = -4] = "FAIL_INITIALIZATION_CAMERA_UI";
    ErrorCode[ErrorCode["FAIL_CREATION_INSTANCE_DOCUMENT"] = -5] = "FAIL_CREATION_INSTANCE_DOCUMENT";
    ErrorCode[ErrorCode["FAIL_UPLOAD_IMAGE"] = -6] = "FAIL_UPLOAD_IMAGE";
    ErrorCode[ErrorCode["FAIL_GET_OCR"] = -7] = "FAIL_GET_OCR";
    ErrorCode[ErrorCode["FAIL_GET_FACE_IMAGE"] = -8] = "FAIL_GET_FACE_IMAGE";
    ErrorCode[ErrorCode["FACE_IMAGE_URL_NOT_FOUND"] = -9] = "FACE_IMAGE_URL_NOT_FOUND";
    ErrorCode[ErrorCode["FACE_IMAGE_NOT_FOUND"] = -10] = "FACE_IMAGE_NOT_FOUND";
    ErrorCode[ErrorCode["RESOURCES_COULD_NOT_BE_LOADED"] = -11] = "RESOURCES_COULD_NOT_BE_LOADED";
    ErrorCode[ErrorCode["UNEXPECTED_ACUANT_ERROR"] = -12] = "UNEXPECTED_ACUANT_ERROR";
})(ErrorCode || (ErrorCode = {}));

var AcuantService = /** @class */ (function () {
    function AcuantService() {
    }
    AcuantService.prototype.createInstance = function (url, data, token) {
        var URL = "" + url + ENDPOINTS.DOCUMENT + ENDPOINTS.NEW_INSTANCE;
        return fetch(URL, {
            method: 'POST',
            headers: {
                Authorization: "Basic " + token,
                Accept: 'application/json',
                'Content-Type': 'application/json',
            },
            body: JSON.stringify(data),
        }).then(function (response) { return response.json(); });
    };
    AcuantService.prototype.uploadImage = function (url, instance, token, data, side) {
        var URL = "" + url + ENDPOINTS.DOCUMENT + instance + ENDPOINTS.UPLOAD_IMAGE_SIDE + side + ENDPOINTS.UPLOAD_IMAGE_METRICS;
        return fetch(URL, {
            method: 'POST',
            headers: {
                Authorization: "Basic " + token,
                'Content-Type': data.type
            },
            body: data,
        }).then(function (response) {
            if (!response.ok)
                throw Error(response.status + ": " + response.statusText);
        });
    };
    AcuantService.prototype.getOcr = function (url, instance, token) {
        var URL = "" + url + ENDPOINTS.DOCUMENT + instance;
        return fetch(URL, {
            method: 'GET',
            headers: {
                Authorization: "Basic " + token,
                Accept: 'application/json',
            },
        }).then(function (response) { return response.json(); });
    };
    AcuantService.prototype.getFaceImage = function (url, token) {
        return __awaiter(this, void 0, void 0, function () {
            var response, blob;
            var _this = this;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, fetch(url, {
                            method: 'GET',
                            headers: {
                                Authorization: "Basic " + token
                            },
                        })];
                    case 1:
                        response = _a.sent();
                        return [4 /*yield*/, response.blob()];
                    case 2:
                        blob = _a.sent();
                        return [2 /*return*/, new Promise(function (resolve, reject) {
                                var reader = new FileReader();
                                reader.onloadend = function () { return resolve(reader.result); };
                                reader.onerror = function () { return reject(_this); };
                                reader.readAsDataURL(blob);
                            })];
                }
            });
        });
    };
    AcuantService.ɵprov = ɵɵdefineInjectable({ factory: function AcuantService_Factory() { return new AcuantService(); }, token: AcuantService, providedIn: "root" });
    AcuantService = __decorate([
        Injectable({
            providedIn: 'root',
        })
    ], AcuantService);
    return AcuantService;
}());

var AcuantResultIdData = /** @class */ (function () {
    function AcuantResultIdData() {
    }
    return AcuantResultIdData;
}());

// implements fad customization common
var DefaultCustomization = /** @class */ (function () {
    function DefaultCustomization() {
        // fad
        this.fadCustomization = {};
        this.fadCustomization.colors = {};
        this.fadCustomization.buttons = {};
        this.fadCustomization.buttons.primary = {};
        this.fadCustomization.buttons.secondary = {};
        this.fadCustomization.buttons.common = {};
        this.fadCustomization.fonts = {};
        this.fadCustomization.fonts.title = {};
        this.fadCustomization.fonts.subtitle = {};
        this.fadCustomization.fonts.button = {};
        this.fadCustomization.fonts.informative = {};
        this.fadCustomization.fonts.content = {};
        // module
        this.moduleCustomization = {};
        this.moduleCustomization.legends = {};
    }
    return DefaultCustomization;
}());

var ResponseError = /** @class */ (function () {
    function ResponseError(code) {
        this.error = getErrorDescription(code);
        this.code = code;
    }
    return ResponseError;
}());

var Utils = /** @class */ (function () {
    function Utils() {
    }
    Utils.cameraOff = function (stream) {
        if (stream)
            stream.getTracks().forEach(function (track) { return track.stop(); });
    };
    Utils.setCustomizationStyle = function (customization) {
        var setVariableCss = function (name, value) {
            document.documentElement.style.setProperty(name, value);
        };
        // fad commons
        // primary color
        setVariableCss('--fad-common-primary-color', customization.fadCustomization.colors.primary);
        setVariableCss('--fad-common-secondary-color', customization.fadCustomization.colors.secondary);
        setVariableCss('--fad-common-tertiary-color', customization.fadCustomization.colors.tertiary);
        // button
        // button primary
        setVariableCss('--fad-common-primary-button-background-color', customization.fadCustomization.buttons.primary.backgroundColor);
        setVariableCss('--fad-common-primary-button-background-color-disabled', customization.fadCustomization.buttons.primary.backgroundColorDisabled);
        setVariableCss('--fad-common-primary-button-label-color', customization.fadCustomization.buttons.primary.labelColor);
        setVariableCss('--fad-common-primary-button-label-color-disabled', customization.fadCustomization.buttons.primary.labelColorDisabled);
        setVariableCss('--fad-common-primary-button-border', customization.fadCustomization.buttons.primary.border);
        // button secondary
        setVariableCss('--fad-common-secondary-button-background-color', customization.fadCustomization.buttons.secondary.backgroundColor);
        setVariableCss('--fad-common-secondary-button-background-color-disabled', customization.fadCustomization.buttons.secondary.backgroundColorDisabled);
        setVariableCss('--fad-common-secondary-button-label-color', customization.fadCustomization.buttons.secondary.labelColor);
        setVariableCss('--fad-common-secondary-button-label-color-disabled', customization.fadCustomization.buttons.secondary.labelColorDisabled);
        setVariableCss('--fad-common-secondary-button-border', customization.fadCustomization.buttons.secondary.border);
        // button common
        setVariableCss('--fad-common-button-common-width', customization.fadCustomization.buttons.common.width);
        setVariableCss('--fad-common-button-common-height', customization.fadCustomization.buttons.common.height);
        setVariableCss('--fad-common-button-common-border-radius', customization.fadCustomization.buttons.common.borderRadius);
        setVariableCss('--fad-common-button-common-padding', customization.fadCustomization.buttons.common.padding);
        setVariableCss('--fad-common-button-common-margin', customization.fadCustomization.buttons.common.margin);
        setVariableCss('--fad-common-button-common-outline', customization.fadCustomization.buttons.common.outline);
        // fonts
        setVariableCss('--fad-common-title-font-size', customization.fadCustomization.fonts.title.fontSize);
        setVariableCss('--fad-common-title-font-family', customization.fadCustomization.fonts.title.fontFamily);
        setVariableCss('--fad-common-subtitle-font-size', customization.fadCustomization.fonts.subtitle.fontSize);
        setVariableCss('--fad-common-subtitle-font-family', customization.fadCustomization.fonts.subtitle.fontFamily);
        setVariableCss('--fad-common-content-font-size', customization.fadCustomization.fonts.content.fontSize);
        setVariableCss('--fad-common-content-font-family', customization.fadCustomization.fonts.content.fontFamily);
        setVariableCss('--fad-common-informative-font-size', customization.fadCustomization.fonts.informative.fontSize);
        setVariableCss('--fad-common-informative-font-family', customization.fadCustomization.fonts.informative.fontFamily);
        setVariableCss('--fad-common-button-font-size', customization.fadCustomization.fonts.button.fontSize);
        setVariableCss('--fad-common-button-font-family', customization.fadCustomization.fonts.button.fontFamily);
    };
    Utils.removeCustomizationStyle = function () {
        window.document.documentElement.setAttribute('style', '');
    };
    Utils.isIOS = function () {
        return (navigator.userAgent.indexOf('iPhone') > 0 ||
            navigator.userAgent.indexOf('iPad') > 0 ||
            (navigator.userAgent.indexOf('Macintosh') > -1 && 'ontouchend' in document));
    };
    Utils.loadScript = function (path, id) {
        // separate in two parts because angular not support arrow function in static method
        var promise = new Promise(function (resolve, reject) {
            var script = document.createElement('script');
            script.type = 'text/javascript';
            script.src = path;
            script.async = false;
            script.defer = true;
            script.id = id;
            script.onload = function () { return resolve(); };
            script.onerror = function (error) { return reject(error); };
            document.getElementsByTagName('head')[0].appendChild(script);
        });
        return promise;
    };
    Utils.createScript = function (content, id) {
        // separate in two parts because angular not support arrow function in static method
        var promise = new Promise(function (resolve, reject) {
            var script = document.createElement('script');
            script.type = 'text/javascript';
            script.text = content;
            script.async = false;
            script.id = id;
            script.onload = function () { return resolve(); };
            script.onerror = function (error) { return reject(error); };
            document.getElementsByTagName('head')[0].appendChild(script);
        });
        return promise;
    };
    Utils.removeScripts = function (scripts) {
        scripts.forEach(function (element) {
            var script = document.getElementById(element);
            document.getElementById(element).parentNode.removeChild(script);
        });
    };
    Utils.convertBase64ToBinary = function (imageBase64) {
        var base64 = imageBase64.replace(/^data[^,]+,/, '');
        return Uint8Array.from(atob(base64), function (c) { return c.charCodeAt(0); });
    };
    Utils.parseIdData = function (acuantDocument) {
        var _a, _b, e_1, _c, e_2, _d;
        var ocr = {};
        var validation = {};
        var acuantField = (_a = {},
            _a[ACUANT_FIELD.ADDRESS] = function (value) { return ocr.address = value; },
            _a[ACUANT_FIELD.ADDRESS_CITY] = function (value) { return ocr.addressCity = value; },
            _a[ACUANT_FIELD.ADDRESS_LINE_1] = function (value) { return ocr.addressLine1 = value; },
            _a[ACUANT_FIELD.ADDRESS_LINE_2] = function (value) { return ocr.addressLine2 = value; },
            _a[ACUANT_FIELD.ADDRESS_POSTAL_CODE] = function (value) { return ocr.addressPostalCode = value; },
            _a[ACUANT_FIELD.BACK_NUMBER] = function (value) { return ocr.backNumber = value; },
            _a[ACUANT_FIELD.BACK_SECCION] = function (value) { return ocr.backSeccion = value; },
            _a[ACUANT_FIELD.BIRTH_DATE] = function (value) { return ocr.birthDate = value; },
            _a[ACUANT_FIELD.CURP] = function (value) { return ocr.curp = value; },
            _a[ACUANT_FIELD.DOCUMENT_CLASS_NAME] = function (value) { return ocr.documentClassName = value; },
            _a[ACUANT_FIELD.DOCUMENT_NUMBER] = function (value) { return ocr.documentNumber = value; },
            _a[ACUANT_FIELD.EXPIRATION_DATE] = function (value) { return ocr.expirationDate = value; },
            _a[ACUANT_FIELD.EXTRACTED_BIRTH_DATE_STRING] = function (value) { return ocr.extractedBirthDate = value; },
            _a[ACUANT_FIELD.FATHERS_SURNAME] = function (value) { return ocr.fathersSurname = value; },
            _a[ACUANT_FIELD.FINGERPRINT] = function (value) { return ocr.fingerprint = value; },
            _a[ACUANT_FIELD.FIRST_NAME] = function (value) { return ocr.firstName = value; },
            _a[ACUANT_FIELD.FRONT_SECCION] = function (value) { return ocr.frontSeccion = value; },
            _a[ACUANT_FIELD.FULL_NAME] = function (value) { return ocr.fullName = value; },
            _a[ACUANT_FIELD.GIVEN_NAME] = function (value) { return ocr.givenName = value; },
            _a[ACUANT_FIELD.ISSUE_DATE] = function (value) { return ocr.issueDate = value; },
            _a[ACUANT_FIELD.ISSUING_STATE_CODE] = function (value) { return ocr.issuingStateCode = value; },
            _a[ACUANT_FIELD.ISSUING_STATE_NAME] = function (value) { return ocr.issuingStateCode = value; },
            _a[ACUANT_FIELD.MIDDLE_NAME] = function (value) { return ocr.middleName = value; },
            _a[ACUANT_FIELD.MOTHERS_SURNAME] = function (value) { return ocr.mothersSurname = value; },
            _a[ACUANT_FIELD.PERSONAL_NUMBER] = function (value) { return ocr.personalNumber = value; },
            _a[ACUANT_FIELD.PHOTO] = function (value) { return ocr.photo = value; },
            _a[ACUANT_FIELD.REGISTRATION_DATE] = function (value) { return ocr.registrationDate = value; },
            _a[ACUANT_FIELD.REGISTRATION_YEAR] = function (value) { return ocr.registrationYear = value; },
            _a[ACUANT_FIELD.REGISTRATION_YEAR_AND_VERIFICATION_NUMBER] = function (value) { return ocr.registrationYearAndVerificationNumber = value; },
            _a[ACUANT_FIELD.SEX] = function (value) { return ocr.sex = value; },
            _a[ACUANT_FIELD.VERIFICATION_NUMBER] = function (value) { return ocr.verificationNumber = value; },
            _a[ACUANT_FIELD.SURNAME] = function (value) { return ocr.surname = value; },
            _a);
        var acuantAlert = (_b = {},
            _b[ACUANT_ALERT.BARCODE_READ] = function (value) { return validation.barcodeRead = value; },
            _b[ACUANT_ALERT.BIRTHDATE_VALID] = function (value) { return validation.birthDateValid = value; },
            _b[ACUANT_ALERT.DOCUMENT_CLASSIFICATION] = function (value) { return validation.documentClassification = value; },
            _b[ACUANT_ALERT.DOCUMENT_EXPIRED] = function (value) { return validation.documentExpired = value; },
            _b[ACUANT_ALERT.EXPIRATION_DATE_VALID] = function (value) { return validation.expirationDateValid = value; },
            _b[ACUANT_ALERT.IMAGE_TAMPERING_CHECK] = function (value) { return validation.imageTamperingCheck = value; },
            _b[ACUANT_ALERT.ISSUE_DATE_VALID] = function (value) { return validation.issueDateValid = value; },
            _b[ACUANT_ALERT.PHYSICAL_DOCUMENT_PRESENCE] = function (value) { return validation.physicalDocumentPresence = value; },
            _b[ACUANT_ALERT.VISIBLE_PATTERN_1] = function (value) { return validation.visiblePattern1 = value; },
            _b[ACUANT_ALERT.VISIBLE_PATTERN_2] = function (value) { return validation.visiblePattern2 = value; },
            _b[ACUANT_ALERT.VISIBLE_PATTERN_3] = function (value) { return validation.visiblePattern3 = value; },
            _b[ACUANT_ALERT.VISIBLE_PATTERN_4] = function (value) { return validation.visiblePattern4 = value; },
            _b[ACUANT_ALERT.VISIBLE_PATTERN_5] = function (value) { return validation.visiblePattern5 = value; },
            _b[ACUANT_ALERT.VISIBLE_PATTERN_6] = function (value) { return validation.visiblePattern6 = value; },
            _b);
        if (acuantDocument && acuantDocument.Fields) {
            try {
                for (var _e = __values(acuantDocument.Fields), _f = _e.next(); !_f.done; _f = _e.next()) {
                    var field = _f.value;
                    if (acuantField[field.Key]) {
                        acuantField[field.Key](field.Value);
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_f && !_f.done && (_c = _e.return)) _c.call(_e);
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
        if (acuantDocument && acuantDocument.Alerts) {
            var countVisiblePattern_1 = 1;
            acuantDocument.Alerts.map(function (alert, index) {
                if (alert.Key === ACUANT_ALERT.VISIBLE_PATTERN) {
                    alert.Key = alert.Key + " " + countVisiblePattern_1;
                    countVisiblePattern_1++;
                }
            });
            try {
                for (var _g = __values(acuantDocument.Alerts), _h = _g.next(); !_h.done; _h = _g.next()) {
                    var alert_1 = _h.value;
                    if (acuantAlert[alert_1.Key]) {
                        acuantAlert[alert_1.Key](alert_1.Name + "; " + alert_1.Information + "; " + alert_1.Actions + "; " + alert_1.Disposition + "; " + alert_1.Result);
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_h && !_h.done && (_d = _g.return)) _d.call(_g);
                }
                finally { if (e_2) throw e_2.error; }
            }
        }
        return { ocr: ocr, validation: validation };
    };
    Utils.mergeConfiguration = function (target) {
        var _a, _b;
        var sources = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            sources[_i - 1] = arguments[_i];
        }
        var isObject = function (item) {
            return (item && typeof item === 'object' && !Array.isArray(item));
        };
        if (!sources.length)
            return target;
        var source = sources.shift();
        if (isObject(target) && isObject(source)) {
            for (var key in source) {
                if (isObject(source[key])) {
                    if (!target[key])
                        Object.assign(target, (_a = {}, _a[key] = {}, _a));
                    this.mergeConfiguration(target[key], source[key]);
                }
                else {
                    Object.assign(target, (_b = {}, _b[key] = source[key], _b));
                }
            }
        }
        return this.mergeConfiguration.apply(this, __spread([target], sources));
    };
    return Utils;
}());

var DEPENDENCIES_FILES = {
    acuantSDK: { path: 'AcuantJavascriptWebSdk.min.js', id: 'scriptAcuantSDK' },
    acuantCamera: { path: 'AcuantCamera.min.js', id: 'scriptAcuantCamera' },
};
var DEPENDENCIES_TO_REMOVE = ['scriptAcuantSDK', 'scriptAcuantCamera', 'acuantConfig'];
var NgFadAcuantComponent = /** @class */ (function () {
    function NgFadAcuantComponent(service) {
        var _this = this;
        this.service = service;
        this.configuration = {};
        this.idData = false;
        this.idPhoto = false;
        this.imageQuality = 1;
        this.oncomplete = new EventEmitter();
        this.onerror = new EventEmitter();
        this.showAutomaticCapture = false;
        this.showManualCapture = false;
        this.activeBlackScreen = true;
        window['onAcuantSdkLoaded'] = function () {
            console.log('entry AcuantSdkLoaded');
            _this.listenUnexpectedError();
            setTimeout(function () { return _this.activeBlackScreen = false; }, 2000);
        };
    }
    NgFadAcuantComponent.prototype.ngOnInit = function () {
        var _this = this;
        if (this.credentials && this.credentials.passivePassword && this.credentials.passiveUsername && this.credentials.acasEndpoint && this.credentials.passiveSubscriptionId) {
            this.setCustomizationStyle();
            this.setDynamicConfiguration();
            Promise.all([this.loadAcuantSDK(), this.loadAcuantCamera()]).then(function () { return _this.initializeAcuant(); }).catch();
        }
        else {
            this.onerror.emit(new ResponseError(ErrorCode.REQUIRED_CREDENTIALS));
        }
    };
    NgFadAcuantComponent.prototype.setCustomizationStyle = function () {
        this.configuration = Utils.mergeConfiguration(CONFIGURATION_DEFAULT, this.configuration);
        Utils.setCustomizationStyle(this.configuration.customization);
    };
    NgFadAcuantComponent.prototype.setDynamicConfiguration = function () {
        var script = "var acuantConfig = { path: '" + this.configuration.pathDependencies.acuantDirectory + "', jpegQuality: " + this.imageQuality + " }";
        Utils.createScript(script, 'acuantConfig');
    };
    NgFadAcuantComponent.prototype.loadAcuantSDK = function () {
        var _this = this;
        return new Promise(function (resolve) {
            return Utils.loadScript("" + _this.configuration.pathDependencies.acuantDirectory + DEPENDENCIES_FILES.acuantSDK.path, DEPENDENCIES_FILES.acuantSDK.id).then(function () {
                window['loadAcuantSdk']();
                console.log('execute loadAcuantSdk');
                resolve();
            }).catch(function (error) {
                console.log(error);
                _this.onerror.emit(new ResponseError(ErrorCode.RESOURCES_COULD_NOT_BE_LOADED));
            });
        });
    };
    NgFadAcuantComponent.prototype.listenUnexpectedError = function () {
        var _this = this;
        if (AcuantJavascriptWebSdk) {
            AcuantJavascriptWebSdk.setUnexpectedErrorCallback(function (error) {
                console.log(JSON.stringify(error));
                _this.onerror.emit(new ResponseError(ErrorCode.UNEXPECTED_ACUANT_ERROR));
            });
        }
    };
    NgFadAcuantComponent.prototype.loadAcuantCamera = function () {
        var _this = this;
        return new Promise(function (resolve) {
            return Utils.loadScript("" + _this.configuration.pathDependencies.acuantDirectory + DEPENDENCIES_FILES.acuantCamera.path, DEPENDENCIES_FILES.acuantCamera.id).then(function () {
                resolve();
            }).catch(function (error) {
                console.log(error);
                _this.onerror.emit(new ResponseError(ErrorCode.RESOURCES_COULD_NOT_BE_LOADED));
            });
        });
    };
    NgFadAcuantComponent.prototype.initializeAcuant = function () {
        var _this = this;
        this.showAutomaticCapture = true;
        var base64Token = btoa(this.credentials.passiveUsername + ':' + this.credentials.passivePassword);
        AcuantJavascriptWebSdk.initialize(base64Token, this.credentials.acasEndpoint, {
            onSuccess: function () {
                if (!_this.isOldiOS())
                    AcuantJavascriptWebSdk.startWorkers(_this.initDone.bind(_this));
                else
                    AcuantJavascriptWebSdk.startWorkers(_this.initDone.bind(_this), [AcuantJavascriptWebSdk.ACUANT_IMAGE_WORKER]);
            },
            onFail: function () {
                _this.onerror.emit(new ResponseError(ErrorCode.FAIL_INITIALIZATION));
            }
        });
    };
    NgFadAcuantComponent.prototype.initDone = function () {
        console.log('init done');
        this.activeBlackScreen = false;
        this.startCamera();
    };
    // code of AcuantSDK
    NgFadAcuantComponent.prototype.isOldiOS = function () {
        var ua = navigator.userAgent;
        var keyPhrase = "iPhone OS";
        var keyPhrase2 = "iPad; CPU OS";
        var index = ua.indexOf(keyPhrase);
        if (index < 0) {
            keyPhrase = keyPhrase2;
            index = ua.indexOf(keyPhrase);
        }
        if (index >= 0) {
            var version = ua.substring(index + keyPhrase.length + 1, index + keyPhrase.length + 3);
            try {
                var versionNum = parseInt(version);
                if (versionNum && versionNum < 13) {
                    return true;
                }
                else {
                    return false;
                }
            }
            catch (_) {
                return false;
            }
        }
        else {
            return false;
        }
    };
    NgFadAcuantComponent.prototype.startCamera = function () {
        var _this = this;
        var cameraCallback = {
            onCaptured: function (response) {
                _this.activeBlackScreen = true;
                _this.configuration.customization.moduleCustomization.legends.initializing = _this.configuration.customization.moduleCustomization.legends.processing;
            },
            onFrameAvailable: function (response) {
            },
            onCropped: function (response) {
                if (response) {
                    _this.imageResult = response;
                    AcuantCameraUI.end();
                    AcuantJavascriptWebSdk.endWorkers();
                    _this.showAutomaticCapture = false;
                    if (_this.documentInstance)
                        _this.uploadImage(_this.documentInstance, _this.imageResult.image.data);
                    else
                        _this.createInstance();
                }
                else {
                    _this.startCamera();
                }
            }
        };
        if (AcuantCamera.isCameraSupported) {
            AcuantCameraUI.start(cameraCallback, function (error, code) {
                console.log("error: " + error + ". code " + code);
                _this.showAutomaticCapture = false;
                _this.startManualCapture();
            }, { text: this.getLegends() });
        }
        else
            this.onerror.emit(new ResponseError(ErrorCode.UNSUPPORTED_CAMERA));
    };
    NgFadAcuantComponent.prototype.startManualCapture = function () {
        var _this = this;
        this.showManualCapture = true;
        var cameraCallback = {
            onCaptured: function (response) {
                _this.activeBlackScreen = true;
                _this.configuration.customization.moduleCustomization.legends.initializing = _this.configuration.customization.moduleCustomization.legends.processing;
            },
            onCropped: function (response) {
                if (response) {
                    _this.imageResult = response;
                    AcuantCameraUI.end();
                    AcuantJavascriptWebSdk.endWorkers();
                    _this.showManualCapture = false;
                    if (_this.documentInstance)
                        _this.uploadImage(_this.documentInstance, _this.imageResult.image.data);
                    else
                        _this.createInstance();
                }
                else {
                    _this.startCamera();
                }
            }
        };
        if (AcuantCamera.isCameraSupported) {
            AcuantCamera.startManualCapture(cameraCallback, function (error) {
                console.log(error);
                _this.onerror.emit(new ResponseError(ErrorCode.FAIL_INITIALIZATION_CAMERA_UI));
            });
        }
        else
            this.onerror.emit(new ResponseError(ErrorCode.UNSUPPORTED_CAMERA));
    };
    NgFadAcuantComponent.prototype.getLegends = function () {
        return {
            NONE: this.configuration.customization.moduleCustomization.legends.scan.none,
            SMALL_DOCUMENT: this.configuration.customization.moduleCustomization.legends.scan.smallDocument,
            GOOD_DOCUMENT: this.configuration.customization.moduleCustomization.legends.scan.goodDocument,
            CAPTURING: this.configuration.customization.moduleCustomization.legends.scan.capturing,
            TAP_TO_CAPTURE: this.configuration.customization.moduleCustomization.legends.scan.tapToCapture,
        };
    };
    NgFadAcuantComponent.prototype.createInstance = function () {
        var _this = this;
        this.configuration.instance.SubscriptionId = this.credentials.passiveSubscriptionId;
        var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
        this.service.createInstance(this.credentials.assureidEndpoint, this.configuration.instance, token).then(function (doucmentInstance) {
            _this.uploadImage(doucmentInstance, _this.imageResult.image.data);
        }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_CREATION_INSTANCE_DOCUMENT)); });
    };
    NgFadAcuantComponent.prototype.uploadImage = function (documentInstance, image) {
        var _this = this;
        var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
        fetch(image).then(function (response) { return response.blob(); }).then(function (blob) {
            setTimeout(function () {
                _this.service.uploadImage(_this.credentials.assureidEndpoint, documentInstance, token, blob, _this.side).then(function () {
                    if (_this.idData)
                        _this.getOcr(documentInstance);
                    else {
                        _this.activeBlackScreen = false;
                        _this.oncomplete.emit({ id: _this.imageResult, documentInstance: documentInstance });
                    }
                }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_UPLOAD_IMAGE)); });
            }, 500);
        });
    };
    NgFadAcuantComponent.prototype.getOcr = function (documentInstance) {
        var _this = this;
        var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
        this.service.getOcr(this.credentials.assureidEndpoint, documentInstance, token).then(function (response) {
            _this.idDataResult = Utils.parseIdData(response);
            if (_this.idPhoto)
                _this.getFaceImage(documentInstance, _this.idDataResult);
            else {
                _this.activeBlackScreen = false;
                _this.oncomplete.emit({ id: _this.imageResult, idData: _this.idDataResult, documentInstance: documentInstance });
            }
        }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_GET_OCR)); });
    };
    NgFadAcuantComponent.prototype.getFaceImage = function (documentInstance, idData) {
        var _this = this;
        var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
        if (idData && idData.ocr && idData.ocr.photo) {
            this.service.getFaceImage(idData.ocr.photo, token).then(function (response) {
                _this.activeBlackScreen = false;
                if (response)
                    _this.oncomplete.emit({ id: _this.imageResult, idData: _this.idDataResult, idPhoto: response, documentInstance: documentInstance });
                else
                    _this.onerror.emit(new ResponseError(ErrorCode.FACE_IMAGE_NOT_FOUND));
            }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_GET_FACE_IMAGE)); });
        }
        else {
            this.activeBlackScreen = false;
            this.onerror.emit(new ResponseError(ErrorCode.FACE_IMAGE_URL_NOT_FOUND));
        }
    };
    NgFadAcuantComponent.prototype.ngOnDestroy = function () {
        this.showAutomaticCapture = false;
        this.showManualCapture = false;
        AcuantCameraUI.end();
        AcuantJavascriptWebSdk.endWorkers();
        Utils.removeScripts(DEPENDENCIES_TO_REMOVE);
        Utils.removeCustomizationStyle();
    };
    NgFadAcuantComponent.ctorParameters = function () { return [
        { type: AcuantService }
    ]; };
    __decorate([
        Input()
    ], NgFadAcuantComponent.prototype, "configuration", void 0);
    __decorate([
        Input()
    ], NgFadAcuantComponent.prototype, "credentials", void 0);
    __decorate([
        Input()
    ], NgFadAcuantComponent.prototype, "side", void 0);
    __decorate([
        Input()
    ], NgFadAcuantComponent.prototype, "idData", void 0);
    __decorate([
        Input()
    ], NgFadAcuantComponent.prototype, "idPhoto", void 0);
    __decorate([
        Input()
    ], NgFadAcuantComponent.prototype, "imageQuality", void 0);
    __decorate([
        Input()
    ], NgFadAcuantComponent.prototype, "documentInstance", void 0);
    __decorate([
        Output()
    ], NgFadAcuantComponent.prototype, "oncomplete", void 0);
    __decorate([
        Output()
    ], NgFadAcuantComponent.prototype, "onerror", void 0);
    NgFadAcuantComponent = __decorate([
        Component({
            selector: 'ng-fad-acuant',
            template: "\n<div *ngIf=\"showAutomaticCapture\" id=\"container-acuant-camera\">\n  <div id=\"acuant-camera\"></div>\n</div>\n\n<div *ngIf=\"showManualCapture\" class=\"container-manual-capture\">\n  <div></div>\n  <div class=\"content-manual-capture\">\n    <img src=\"{{ configuration.pathDependencies.imageDirectory }}{{side == 1 ? 'id-back.svg': 'id-front.svg'}} \"/>\n    <span class=\"fad-subtitle\"> {{ configuration.customization.moduleCustomization.legends.manualCapture.instruction }} </span>\n  </div>\n  <button class=\"fad-primary\" (click)=\"startManualCapture()\"> {{ configuration.customization.moduleCustomization.legends.manualCapture.buttonNext }} </button>\n</div>\n\n<!-- black screen -->\n<div *ngIf=\"activeBlackScreen\" class=\"back-screen fad-content\">\n  <loader></loader>\n  <span> {{ configuration.customization.moduleCustomization.legends.initializing }} </span>\n</div>\n\n",
            animations: [FADE_IN_OUT_ANIMATION],
            styles: [".fad-title{font-family:var(--fad-common-title-font-family);font-size:var(--fad-common-title-font-size);font-weight:600}.fad-subtitle{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);font-weight:200}.fad-subtitle-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);font-weight:600}.fad-content{font-family:var(--fad-common-content-font-family);font-size:var(--fad-common-content-font-size);font-weight:200}.fad-content-bold{font-family:var(--fad-common-content-font-family);font-size:var(--fad-common-content-font-size);font-weight:600}.fad-informative{font-family:var(--fad-common-informative-font-family);font-size:var(--fad-common-informative-font-size);font-weight:200}.fad-informative-bold{font-family:var(--fad-common-informative-font-family);font-size:var(--fad-common-informative-font-size);font-weight:600}.fad-button{font-family:var(---fad-common-button-font-family);font-size:var(--fad-common-button-font-size);font-family:var(--fad-common-button-font-family);font-size:var(--fad-common-button-font-size)}button{min-width:var(--fad-common-button-common-width);min-height:var(--fad-common-button-common-height);border-radius:var(--fad-common-button-common-border-radius);padding:var(--fad-common-button-common-padding);margin:var(--fad-common-button-common-margin);outline:var(--fad-common-button-common-outline);font-family:var(--fad-common-button-font-family);font-size:var(--fad-common-button-font-size);font-weight:300}button.fad-primary{background-color:var(--fad-common-primary-button-background-color);color:var(--fad-common-primary-button-label-color);border:var(--fad-common-primary-button-border)}button.fad-secondary{background-color:var(--fad-common-secondary-button-background-color);color:var(--fad-common-secondary-button-label-color);border:var(--fad-common-secondary-button-border)}button:disabled{background-color:var(--fad-common-primary-button-background-color-disabled);color:var(--fad-common-primary-button-label-color-disabled);border:none}.fad-button-bold{font-family:var(---fad-common-button-font-family);font-size:var(--fad-common-button-font-size);font-weight:600}.fad-link{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:200}.fad-link-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:600}.fad-link-primary{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:var(--fad-common-primary-color);font-weight:200}.fad-link-primary-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:var(--fad-common-primary-color);font-weight:600}.fad-button-link{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:200;border:1px solid #dadbe0;border-radius:7px;padding:5px;min-height:36px;width:100%;display:flex;align-items:center;justify-content:center}.fad-button-link-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:600;border:1px solid #dadbe0;border-radius:7px;padding:5px;min-height:36px;width:100%;display:flex;align-items:center;justify-content:center}.fad-container-common-center{display:flex;flex-direction:column;align-items:center;justify-content:center;height:100%;width:100%;box-sizing:border-box;padding:3% 5%;text-align:center}.fad-container-common-center>img:last-of-type{margin-top:20px}.fad-container-common-center>img:first-child{margin-top:0}.fad-container-common-center>span{margin-top:10px}.fad-container-common-center>span:first-of-type{margin-top:15px}.fad-container-common-center>span:first-child{margin-top:0}.fad-container-common-space-between{display:flex;flex-direction:column;align-items:center;justify-content:space-between;height:100%;width:100%;box-sizing:border-box;padding:3% 5%;text-align:center}.fad-container-common-space-between .fad-container-title{display:flex;flex-direction:column;width:100%}.fad-container-common-space-between .fad-container-title>img:last-of-type{margin-top:20px}.fad-container-common-space-between .fad-container-title>img:first-child{margin-top:0}.fad-container-common-space-between .fad-container-title>span{margin-top:10px}.fad-container-common-space-between .fad-container-title>span:first-of-type{margin-top:15px}.fad-container-common-space-between .fad-container-title>span:first-child{margin-top:0}.fad-container-common-space-between .fad-container-title>div:last-child{margin-top:25px}#container-acuant-camera{width:100%;height:100%;display:flex;align-items:center;justify-content:center;background-color:#000}.back-screen{background-color:#000;position:fixed;width:100%;height:100%;top:0;left:0;display:flex;justify-content:center;align-items:center;flex-direction:column;color:#fff;z-index:2}.container-manual-capture{padding:3% 5%;width:100%;height:100%;display:flex;align-items:center;justify-content:space-between;box-sizing:border-box;flex-direction:column}.container-manual-capture .content-manual-capture{display:flex;flex-direction:column}.container-manual-capture .content-manual-capture span{margin:30px 0 20px}"]
        })
    ], NgFadAcuantComponent);
    return NgFadAcuantComponent;
}());

var LoaderComponent = /** @class */ (function () {
    function LoaderComponent() {
    }
    LoaderComponent.prototype.ngOnInit = function () {
    };
    LoaderComponent = __decorate([
        Component({
            selector: 'loader',
            template: "<div class=\"spinner\">\n  <div class=\"double-bounce1\"></div>\n  <div class=\"double-bounce2\"></div>\n</div>\n",
            styles: [".spinner{width:40px;height:40px;position:relative;margin:10px auto}.double-bounce1,.double-bounce2{width:100%;height:100%;border-radius:50%;background-color:#fff;opacity:.6;position:absolute;top:0;left:0;-webkit-animation:2s ease-in-out infinite sk-bounce;animation:2s ease-in-out infinite sk-bounce}.double-bounce2{-webkit-animation-delay:-1s;animation-delay:-1s}@-webkit-keyframes sk-bounce{0%,100%{-webkit-transform:scale(0)}50%{-webkit-transform:scale(1)}}@keyframes sk-bounce{0%,100%{transform:scale(0);-webkit-transform:scale(0)}50%{transform:scale(1);-webkit-transform:scale(1)}}"]
        })
    ], LoaderComponent);
    return LoaderComponent;
}());

var NgFadAcuantModule = /** @class */ (function () {
    function NgFadAcuantModule() {
    }
    NgFadAcuantModule = __decorate([
        NgModule({
            declarations: [NgFadAcuantComponent, LoaderComponent],
            imports: [CommonModule],
            exports: [NgFadAcuantComponent]
        })
    ], NgFadAcuantModule);
    return NgFadAcuantModule;
}());

/*
 * Public API Surface of ng-fad-acuant
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgFadAcuantComponent, NgFadAcuantModule, FADE_IN_OUT_ANIMATION as ɵa, AcuantService as ɵb, LoaderComponent as ɵc };
//# sourceMappingURL=ng-fad-acuant.js.map
