export declare const CONFIGURATION_DEFAULT: {
    customization: {
        fadCustomization: {
            colors: {
                primary: string;
                secondary: string;
                tertiary: string;
            };
            buttons: {
                primary: {
                    backgroundColor: string;
                    backgroundColorDisabled: string;
                    labelColor: string;
                    labelColorDisabled: string;
                    border: string;
                };
                secondary: {
                    backgroundColor: string;
                    backgroundColorDisabled: string;
                    labelColor: string;
                    labelColorDisabled: string;
                    border: string;
                };
                common: {
                    height: string;
                    width: string;
                    borderRadius: string;
                    padding: string;
                    margin: string;
                    outline: string;
                };
            };
            fonts: {
                title: {
                    fontSize: string;
                    fontFamily: string;
                };
                subtitle: {
                    fontSize: string;
                    fontFamily: string;
                };
                content: {
                    fontSize: string;
                    fontFamily: string;
                };
                informative: {
                    fontSize: string;
                    fontFamily: string;
                };
                button: {
                    fontSize: string;
                    fontFamily: string;
                };
            };
        };
        moduleCustomization: {
            legends: {
                initializing: string;
                processing: string;
                scan: {
                    none: string;
                    smallDocument: string;
                    goodDocument: any;
                    capturing: string;
                    tapToCapture: string;
                };
                manualCapture: {
                    instruction: string;
                    buttonNext: string;
                };
            };
        };
    };
    instance: {
        AuthentsicationSensitivity: number;
        ClassificationMode: number;
        Device: {
            HasContactlessChipReader: boolean;
            HasMagneticStripeReader: boolean;
            SerialNumber: string;
            Type: {
                Manufacturer: string;
                Model: string;
                SensorType: number;
            };
        };
        ImageCroppingExpectedSize: number;
        ImageCroppingMode: number;
        ManualDocumentType: any;
        ProcessMode: number;
        SubscriptionId: string;
    };
    pathDependencies: {
        acuantDirectory: string;
        imageDirectory: string;
    };
};
