import { AcuantService } from './services/acuant.service';
import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Configuration, ResponseError, AcuantResult, AcuantCredentials, AcuantResultImage, AcuantResultIdData } from './models';
export interface LEGENDS {
    NONE: string;
    SMALL_DOCUMENT: string;
    GOOD_DOCUMENT: string;
    CAPTURING: string;
    TAP_TO_CAPTURE: string;
}
export declare class NgFadAcuantComponent implements OnInit, OnDestroy {
    service: AcuantService;
    configuration: Configuration;
    credentials: AcuantCredentials;
    side: 0 | 1;
    idData: boolean;
    idPhoto: boolean;
    imageQuality: number;
    documentInstance: string;
    oncomplete: EventEmitter<AcuantResult>;
    onerror: EventEmitter<ResponseError>;
    imageResult: AcuantResultImage;
    idDataResult: AcuantResultIdData;
    showAutomaticCapture: boolean;
    showManualCapture: boolean;
    activeBlackScreen: boolean;
    constructor(service: AcuantService);
    ngOnInit(): void;
    setCustomizationStyle(): void;
    setDynamicConfiguration(): void;
    private loadAcuantSDK;
    private listenUnexpectedError;
    private loadAcuantCamera;
    private initializeAcuant;
    initDone(): void;
    isOldiOS(): boolean;
    startCamera(): void;
    startManualCapture(): void;
    getLegends(): LEGENDS;
    createInstance(): void;
    uploadImage(documentInstance: string, image: string): void;
    getOcr(documentInstance: string): void;
    getFaceImage(documentInstance: string, idData: AcuantResultIdData): void;
    ngOnDestroy(): void;
}
